actions:
- NetworkDock
- LocalDock
- LocalUndock
- RadiusDock
api_documentation: http://docs.ros.org/en/noetic/api/clearpath_dock_msgs/html
authors: ''
brief: ''
bugtracker: ''
depends:
- actionlib
- actionlib_msgs
- catkin
- clearpath_navigation_msgs
- geometry_msgs
- message_runtime
- std_msgs
depends_on:
- clearpath_msgs
description: ROS package containing the message definitions for the Clearpath Robotics
  OutdoorNav dock module.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__clearpath_msgs__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__clearpath_msgs__ubuntu_focal_amd64
has_changelog_rst: true
license: Proprietary
maintainer_status: maintained
maintainers: "Jos\xE9 Mastrangelo <jmastrangelo@clearpathrobotics.com>"
metapackages:
- clearpath_msgs
msgs:
- TargetTrackerState
- DockInfo
- DockProperties
- DockState
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__clearpath_dock_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__clearpath_dock_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__clearpath_dock_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__clearpath_dock_msgs__ubuntu_focal_arm64__binary
repo_name: clearpath_msgs
repo_url: ''
srvs:
- ImportData
- SetDockLocationById
- AddDock
- RemoveDock
- GetDockByUuid
- SetDockLocationByName
- ExportData
timestamp: 1716892131.83501
url: ''
vcs: git
vcs_uri: https://github.com/clearpathrobotics/clearpath_msgs.git
vcs_version: noetic-devel
